#include <Stepper.h>
#include <SoftwareSerial.h>         // ATtinys cannot use Arduino's serial, only Software Serial
 
#define STEPS 2038                  // the number of steps in one revolution of your motor (28BYJ-48)
int inByte = 0; 

Stepper stepper(STEPS, 2, 3, 4, 5);    //pins that are attached to the stepper
SoftwareSerial myserial(9, 10);      // RX and TX pins, respectively


void setup() {
myserial.begin(9600);               // establishes baud rate at 9600
} 

void loop() {
 while (myserial.available() > 0) { //receive data
    inByte = myserial.read();       //read the incoming byte
 }
 if (inByte == 1)                   // if it receives "1" from Processing, it starts the stepper motor
 {
  stepper.setSpeed(10);             // 10 rpm
  stepper.step(2038);               // do 2038 steps -- corresponds to one revolution in one minute
  }

 }


